
<!-- README.md is generated from README.Rmd. Please edit that file -->

# tdbesc: Tableau de Bord pour gérer l’équilibre forêt-gibier

<!-- badges: start -->

<!-- badges: end -->

Le tableau de bord du démonstrateur ReForest est un outil d’aide à la
gestion adapative de l’équilibre (agro-)sylvo-cynégétique au travers de
l’analyse des indicateurs de suivi. L’outil permet de :

  - visualiser des couches géographiques et des séries temporelles;
  - analyser les données d’observations et d’indicateurs ;
  - enregistrer des cartes et des figures ;
  - créer des rapports synthétiques.

Le démonstrateur actuel contient des données cynégétiques et sylvicoles,
mais permet à terme d’intégerer des données d’autres thématiques en
fonction de leur disponibilité : agricoles, santé humaine et
biodiversité.

Pour commencer : 1. Tout d’abord, veuillez choisir l’onglet
‘Visualisation’ pour créer des graphiques afin de visualiser des
séries temporelles et histogrammes pour les différents indicateurs. 2.
Puis, veuillez choisir l’onglet ‘Cartographie’pour créer des cartes. 3.
Ensuite, veuillez choisir l’onglet ’Analyses’ pour effecteur des
analyses statistiques sur les données selon votre choix parmi les
options proposées. 4. Enfin, vous pouvez créer des rapports
intermédiaires sous les onglets ‘Visualisation’ et ‘Cartographie’ ou un
rapport synthétique sous l’onglet ‘Rapports synthétiques’.

## Installation de l’application sur votre PC

Vous pouvez télécharger et installer la dernière version de
l’application ‘tdbesc’ via le portail Data INRAE (<https://doi.org/>).

1.  Installer la dernière version de RStudio et de R.
2.  Installer le package tdbesc.
3.  Exécuter la fonction ‘runTdBesc’ pour démarrer l’application.

## Contenu de la Version 1.0.0

Ceci est la version de lancement de l’application. Elle contient les
données suivantes :

  - Cynégétique: Plan de Chasse de Cerf élaphe et de Chevreuil pour la
    période 2006-2016
  - Cynégétique: Indicateurs de Changement Ecologique (ICE) pour les
    forêts de Montargis et de Marchenoir
  - Sylvicole: Couverture forestière et la structure foncière (forêt
    publique, forêt privée avec DGD, forêt privée sans DGD)
  - Sylvicole: Résultats de la télédétection ‘coupes rases’, 3 campagnes
    Landsat de la DRAAF
  - Sylvicole: Fiches CRPF Note ‘Abroutissement’
  - Sylvicole: BDR ONF pour les peuplements HT\<3m

## Authors

  - **Anders Mårell (UR EFNO, INRAE)** - *Développeur initial, créateur*
    - [Projet ReForest](https://reforest.inrae.fr)
  - **Marie Dumbo (stagiaire en 2020, UR EFNO, INRAE)** - *Créatrice* -
    [Projet ReForest](https://reforest.inrae.fr)

## License

GPL-3

## Remerciements

Le projet ReForest a été financé par la Région Centre-Val de Loire.
