#### MODULE DE TELECHAARGEMENT DES DONNEES DE L'APPLICATION REFOREST ####

### INRAE : Projet ReForest : Création d'un démonstrateur
### Auteur : DUMBO Marie
### Date : 18/06/2020
### Mise-à-jours : cf. Git history for successive modifications by MÅRELL Anders

#---------- chemin repertoire ----------

pathData <- paste(getwd(),"www/data", sep = "/")


#---------- Téléchargement des données ----------

df.aire <- readRDS(paste(pathData, "aire.rds", sep = "/"))
l.animal <- readRDS(paste(pathData, "animal.rds", sep = "/"))
# l.bdr <- readRDS(paste(pathData, "c_BDR.rds", sep = "/"))
# l.bdrGibier <- readRDS(paste(pathData, "c_BDR_GIBHTinf3.rds", sep = "/"))
# l.bdrGibierUg <- readRDS(paste(pathData, "c_BDR_GIBUG.rds", sep = "/"))
# l.bdrUg <- readRDS(paste(pathData, "c_BDR_UG.rds", sep = "/"))
# df.spat <- readRDS(paste(pathData, "c_spat.rds", sep = "/"))
# l.vecteurs <- readRDS(paste(pathData, "c_vectors.rds", sep = "/"))
# l.vecteursCr <-   readRDS(paste(pathData, "c_vectorsCR.rds", sep = "/"))
# carto.ugCentre <-  readRDS(paste(pathData, 'c_UG_Centre.rds', sep = "/"))
# l.coupeRase <-  readRDS(paste(pathData, 'c_coupeRase.rds', sep = "/"))

# Données vectorielles
df.vecteur.reg <- readRDS(paste(pathData, 'vec.reg.rds', sep = "/"))
df.vecteur.reg4326 <- readRDS(paste(pathData, 'vec.reg4326.rds', sep = "/"))
df.vecteur.reg4326.centroids <-
  readRDS(paste(pathData, 'vec.reg4326.centroids.rds', sep = "/"))

df.vecteur.dep <- readRDS(paste(pathData, 'vec.dep.rds', sep = "/"))
df.vecteur.dep4326 <- readRDS(paste(pathData, 'vec.dep4326.rds', sep = "/"))
df.vecteur.dep4326.centroids <-
  readRDS(paste(pathData, 'vec.dep4326.centroids.rds', sep = "/"))

df.vecteur.usc <- readRDS(paste(pathData, 'vec.usc.rds', sep = "/"))
df.vecteur.usc4326 <- readRDS(paste(pathData, 'vec.usc4326.rds', sep = "/"))
df.vecteur.usc.centroids <-
  readRDS(paste(pathData,
                'vec.usc.centroids.rds',
                sep = "/"))
df.vecteur.usc4326.centroids <-
  readRDS(paste(pathData,
                'vec.usc4326.centroids.rds',
                sep = "/"))


a.ice <- readRDS(paste(pathData, "ice.rds", sep = "/"))
df.ind <- readRDS(paste(pathData, "indice.rds", sep = "/"))
l.lieu <- readRDS(paste(pathData, "lieu.rds", sep = "/"))
a.sylv <- readRDS(paste(pathData, "sylv.rds", sep = "/"))
a.pdc <- readRDS(paste(pathData, "pdc.rds", sep = "/"))

# Données de classification hiérarchique
classif.k <- readRDS(paste(pathData,"classif_k.rds", sep = "/"))
classif.varSylv <- readRDS(paste(pathData,"classif_varSylv.rds", sep = "/"))
classif.varPDC <- readRDS(paste(pathData,"classif_varPDC.rds", sep = "/"))
classifSylv.k <- readRDS(paste(pathData,"classifSylv_k.rds", sep = "/"))
classif.pdc.k <- readRDS(paste(pathData,"classif_pdc.k.rds", sep = "/"))
classif.nstart <- readRDS(paste(pathData,"classif_nstart.rds", sep = "/"))
v.couleur <- c("#00a3a6", "#423089", "#9dc544", "#797870", "#9ed6e3", "#66c1bf",
               "#008c8e", "#275662", "#c4c0b3", "#4B0055", "#353E7C", "#007094",
               "#009B95", "#00BE7D", "#96D84B", "#FDE333", "#FF0000FF",
               "#49FF00FF", "#00FF92FF", "#0092FFFF", "#4900FFFF", "#FF00DBFF",
               "#FF0000FF", "#FF3300FF", "#FF6600FF", "#FF9900FF", "#FFCC00FF",
               "#FFFF00FF", "#FFFF80FF", "#00A600FF", "#63C600FF", "#E6E600FF",
               "#E9BD3AFF", "#ECB176FF", "#EFC2B3FF", "#F2F2F2FF", "#4C00FFFF",
               "#004CFFFF", "#00E5FFFF", "#00FF4DFF", "#E6FF00FF", "#FFFF00FF",
               "#FFE0B3FF", "#80FFFFFF", "#AAFFFFFF", "#D4FFFFFF", "#FFFFFFFF",
               "#FFD5FFFF", "#FFAAFFFF", "#c4c0b3")
df.glossaire <- readRDS(paste(pathData, 'glossaire.rds', sep = "/"))

# epsg2154 <- leafletCRS(crsClass = "L.Proj.CRS", code = "EPSG:2154",
#                        proj4def = st_crs(df.vecteur.dep),
#                        resolutions = 2^(13:-1) # 8192 down to 0.5
# )
