#### MODULE DE TÉLÉCHARGEMENT D'UN RAPPORT SYNTHETIQUE ####

### INRAE : Projet ReForest : Création d'un démonstrateur
### Auteur : DUMBO Marie
### Date : 30/06/2020
### Mise-à-jours : cf. Git history for successive modifications by MÅRELL Anders


reportUI <- function(id){
  ns <- NS(id)
  tagList(
    actionButton(ns("telecharge.rapport"), "Téléchargement du rapport synthétique")
  )
}


report <- function(input, output, session, data, echelle, lieu, espece){

  output$telecharge.rapport <- downloadHandler(
    filename = paste0("Reforest", Sys.Date(),"_", round(runif(1, min=1000, max=9999)), ".pdf"),
    content = function(file){
      pdf(file)
      if(data!= 'Sylvicole'){
        ind100ha <- c("Plan de Chasse aux 100 ha - Attributions", "Plan de Chasse aux 100 ha - Réalisations",
                      "Plan de Chasse aux 100 ha boisés - Attributions", "Plan de Chasse aux 100 ha boisés - Réalisations")
        an <- dimnames(a.pdc)$ANNEE[length(dimnames(a.pdc)$ANNEE)]
        if(espece() != "Chevreuil"){
          if(echelle() != 'Unité de gestion'){
            par(mfrow=c(2,2))
            for ( ind in ind100ha ){
              data.100ha <- dataprocess_map(ind,'Cerf', an)
              simpleMap(data.100ha, paste(ind,'du Cerf en',an ), '','Département')
            }
          }
          par(mfrow=c(2,1))
          data.sex <- dataprocess_cyn('Sex-ratio (M:F)', echelle(),lieu(), 'Cerf')
          simpleGraph(data.sex, 'Sex-Ratio chez les Cerfs','','')
          data.age <- dataprocess_cyn('Âge-ratio (J:F)', echelle(),lieu(), 'Cerf')
          simpleGraph(data.age, 'Âge-ratio chez les Cerfs','','')

          par(mfrow=c(2,2))
          data.fem <- dataprocess_cyn('Proportion de femelles', echelle(),lieu(), 'CEF')
          simpleGraph(data.fem, 'Proportion de biche','','')
          data.male <- dataprocess_cyn('Âge-ratio (J:F)', echelle(),lieu(), 'CEM')
          simpleGraph(data.male, 'Âge-ratio chez les Cerfs','','')
          data.jeu <- dataprocess_cyn('Proportion de femelles', echelle(),lieu(), 'CEJ')
          simpleGraph(data.jeu, 'Proportion de biche','','')
          data.type <- dataprocess_map('Taux de réalisation (ratio attr:real)','Cerf', an)
          simpleMap(data.type, paste('Taux de réalisation (ratio attr:real)','du Cerf en',an ), '','Département')
        }
        if(espece() != 'Cerf'){
          if(echelle() != 'Unité de gestion'){
            par(mfrow=c(2,2))
            for ( ind in ind100ha ){
              data.100ha <- dataprocess_map(ind,'Chevreuil', an)
              simpleMap(data.100ha, paste(ind,'du Chevreuil en',an ), '','Département')
            }
          }
          par(mfrow=c(2,2))
          data.type <- dataprocess_map('Taux de réalisation (ratio attr:real)','Chevreuil', an)
          simpleMap(data.type, paste('Taux de réalisation (ratio attr:real)','du Chevreuil en',an ), '','Département')
          data.ikp <- dataprocess_ice('Indice kilométrique pédestre (IKP)', 'Chevreuil', echelle(), lieu())
          ice_graph(data.ikp, 'Indice kilométrique pédestre chez le Chevreuil', 'Nb. ind./km', '')
          data.ikp <- dataprocess_ice("Indice de consommation (IC)", 'Chevreuil', echelle(), lieu())
          ice_graph(data.ikp, 'Indice de consommation chez le Chevreuil', 'Nb. ind./km', '')
          data.ikp <- dataprocess_ice('Masse Corporelle des jeunes (MC)', 'Chevreuil', echelle(), lieu())
          ice_graph(data.ikp, 'Masse Corporelle des jeunes chez le Chevreuil', 'Nb. ind./km', '')
        }
      }
      if(data!= 'Cynégétique'){}
      dev.off()
    }
  )
}


